Subject: Re: [PATCH 6/7] update git-stage.po

From: Jonathan Nieder <[email-masked]>
Date: Sat, 14 May 2011 14:21:54 -0500

Osamu OKANO wrote:
> 2011/5/14 Junio C Hamano <[email-masked]>:

>> Isn't this a no-op?  Translators need to be careful about these.
>
> Yes, this part has no point.
>
> Before I commit .po, I should run po4a-update
> for the sake of line feed normalization.
> Then I can avoid the crap diff.
>
> 1.2 new translation
> ====================
> $ mkdir ja
> $ cp git-stage.pot ja/git-stage.po
>  -> 0003-cp-git-stage.pot-ja-git-stage.po.patch
> $ cd ja
> $  translate .po by hand ...
> $ ../make_update  # add this procedure
>  -> 0004-translate-ja-git-stage.po.patch

I wonder if it is possible to encode this in .gitattributes
(+ .git/config) as a "clean" filter or in .git/hooks as a pre-commit
hook, for extra safety.

Another thought I have had occasionally is that it would be nice if
the versions committed did not have line numbers while the working
copy had line numbers, so an ordinary 3-way merge could be more likely
to work for integrating changes[1].  But this second thought is less
fully cooked. :)

Jonathan

[1] This could be also done with smudge/clean filters, but it's hard
to make it fast.  Maybe a pre-commit hook combined with a variant on
the trick in v1.7.2-rc0~24^2 (autocrlf: Make it work also for
un-normalized repositories, 2010-05-12) would make it bearable.